package com.player.musicoo.service

import android.os.Bundle
import androidx.media3.session.CommandButton
import androidx.media3.session.SessionCommand
import com.player.musicoo.R

private const val CUSTOM_COMMAND_SKIP_BACK_ACTION_ID = "Skip_back"
private const val CUSTOM_COMMAND_SKIP_FORWARD_ACTION_ID = "Skip_Forward"

enum class NotificationCustomButton(val customAction: String, val commandButton: CommandButton) {
    SKIP_BACK(
        customAction = CUSTOM_COMMAND_SKIP_BACK_ACTION_ID,
        commandButton = CommandButton.Builder()
            .setDisplayName("SkipBack")
            .setSessionCommand(SessionCommand(CUSTOM_COMMAND_SKIP_BACK_ACTION_ID, Bundle()))
            .setIconResId(R.drawable.play_skip_back)
            .build()

    ),
    SKIP_FORWARD(
        customAction = CUSTOM_COMMAND_SKIP_FORWARD_ACTION_ID,
        commandButton = CommandButton.Builder()
            .setDisplayName("SkipForward")
            .setSessionCommand(SessionCommand(CUSTOM_COMMAND_SKIP_FORWARD_ACTION_ID, Bundle()))
            .setIconResId(R.drawable.play_skip_forward)
            .build()

    ),
}